Subject: bug#50507: New function in Emacs GnuTLS implementation

From: Nikolaos Chatzikonstantinou <[email-masked]>
Date: Wed, 14 Sep 2022 11:51:25 -0400

On Thu, Aug 25, 2022 at 11:07 AM Lars Ingebrigtsen <[email-masked]> wrote:
>
> Nikolaos Chatzikonstantinou <[email-masked]> writes:
>
> > Versions after 3.2 and 3.1.11 include them. Although it appears
> > straightforward to introduce them, my plan is to spend some time
> > acclimating myself with GnuTLS and the Emacs implementation to ensure
> > that I did it right, and then I'll submit a patch. Does it sound good?
>
> Sounds good to me.
>
> This was almost a year ago -- did you get any further with this?

Thanks for reminding me of this.

I spent my time learning some cryptography and doing other
things, unrelated to Emacs. I feel better equipped now to tackle
this issue, but it will take some time, I expect a month or
less. Luckily I have a lot of free time right now.

My goal is to increase the completion of the Emacs wrapper of
GnuTLS. Originally I cared only to add enough to implement
encryption-at-rest for the circe IRC client.